summaryrefslogtreecommitdiff
path: root/t/t9010-svn-fe.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2010-12-16 12:49:35 -0800
committerLibravatar Junio C Hamano <gitster@pobox.com>2010-12-16 12:49:35 -0800
commitb720c75afde3d813588fdfc84f762ef947f5587a (patch)
treefb9ba69d2ea32c9c3269b7365eefa7d9b4c92f4e /t/t9010-svn-fe.sh
parentMerge branch 'jc/maint-svn-info-test-fix' (diff)
parentt9010 fails when no svn is available (diff)
downloadtgif-b720c75afde3d813588fdfc84f762ef947f5587a.tar.xz
Merge branch 'jn/maint-svn-fe'
* jn/maint-svn-fe: t9010 fails when no svn is available vcs-svn: fix intermittent repo_tree corruption treap: make treap_insert return inserted node t9010 (svn-fe): Eliminate dependency on svn perl bindings
Diffstat (limited to 't/t9010-svn-fe.sh')
-rwxr-xr-xt/t9010-svn-fe.sh20
1 files changed, 18 insertions, 2 deletions
diff --git a/t/t9010-svn-fe.sh b/t/t9010-svn-fe.sh
index a713dfc50b..faf9092967 100755
--- a/t/t9010-svn-fe.sh
+++ b/t/t9010-svn-fe.sh
@@ -2,9 +2,25 @@
test_description='check svn dumpfile importer'
-. ./lib-git-svn.sh
+. ./test-lib.sh
-test_dump() {
+if ! svnadmin -h >/dev/null 2>&1
+then
+ skip_all='skipping svn-fe tests, svn not available'
+ test_done
+fi
+
+svnconf=$PWD/svnconf
+export svnconf
+
+svn_cmd () {
+ subcommand=$1 &&
+ shift &&
+ mkdir -p "$svnconf" &&
+ svn "$subcommand" --config-dir "$svnconf" "$@"
+}
+
+test_dump () {
label=$1
dump=$2
test_expect_success "$dump" '